import { OptionalNullable } from '@humand-packages/common';

export class TimeTrackingSettingForCreation {
    constructor(properties: OptionalNullable<TimeTrackingSettingForCreation>) {
        Object.assign(this, properties);
    }

    instanceId!: number;
    nightShiftAssignment!: string;
}

export class TimeTrackingSetting extends TimeTrackingSettingForCreation {
    constructor(properties: OptionalNullable<TimeTrackingSetting>) {
        super(properties);
        Object.assign(this, properties);
    }

    id!: number;
}
